
# Class: ProductInformationDesign

## Hierarchy

* **ProductInformationDesign**

## Index

### Constructors

* [constructor](productinformationdesign.md#constructor)

### Properties

* [designGroup](productinformationdesign.md#optional-designgroup)
* [designId](productinformationdesign.md#optional-designid)
* [designName](productinformationdesign.md#optional-designname)
* [designResourceId](productinformationdesign.md#optional-designresourceid)
* [id](productinformationdesign.md#id)
* [options](productinformationdesign.md#optional-options)
* [previewResourceId](productinformationdesign.md#optional-previewresourceid)
* [previewUrl](productinformationdesign.md#optional-previewurl)
* [productId](productinformationdesign.md#optional-productid)
* [productVariantId](productinformationdesign.md#optional-productvariantid)
* [productVersionId](productinformationdesign.md#optional-productversionid)
* [resources](productinformationdesign.md#optional-resources)
* [sku](productinformationdesign.md#optional-sku)

## Constructors

###  constructor

\+ **new ProductInformationDesign**(`dtoDesign?`: ProductVariantDesignDto): *[ProductInformationDesign](productinformationdesign.md)*

**Parameters:**

Name | Type |
------ | ------ |
`dtoDesign?` | ProductVariantDesignDto |

**Returns:** *[ProductInformationDesign](productinformationdesign.md)*

## Properties

### `Optional` designGroup

• **designGroup**? : *string*

___

### `Optional` designId

• **designId**? : *string | null*

Design identifier.

___

### `Optional` designName

• **designName**? : *string | null*

Design name.

___

### `Optional` designResourceId

• **designResourceId**? : *string*

___

###  id

• **id**: *string*

Design variant identifier.

___

### `Optional` options

• **options**? : *ProductVariantOptionDto[] | null*

A list of product variant options.

___

### `Optional` previewResourceId

• **previewResourceId**? : *string*

___

### `Optional` previewUrl

• **previewUrl**? : *string*

___

### `Optional` productId

• **productId**? : *number*

Product identifier.

___

### `Optional` productVariantId

• **productVariantId**? : *number*

Product variant identifier.

___

### `Optional` productVersionId

• **productVersionId**? : *number*

Product version identifier.

___

### `Optional` resources

• **resources**? : *ProductVariantResourceDto[] | null*

A list of product variant resources.

___

### `Optional` sku

• **sku**? : *string | null*

Product variant identifier in online store (usually SKU).
